/*sas programme giving examples of how the sas transport files for Ghana data
were created and how to reconvert these files back into sas data files; */

libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\common.dat';
proc copy in=c1 out=new memtype=data;
select common;
run;


libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\genfirm.dat';
proc copy in=c1 out=new memtype=data;
select genfirm;
run;


libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\finance.dat';
proc copy in=c1 out=new memtype=data;
select finance;
run;

libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\invest.dat';
proc copy in=c1 out=new memtype=data;
select invest;
run;

libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\worker.dat';
proc copy in=c1 out=new memtype=data;
select worker;
run;

libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\appren.dat';
proc copy in=c1 out=new memtype=data;
select appren;
run;

libname c1 'd:\ghreldata\createdata';
libname new xport 'd:\ghreldata\transport\inv.dat';
proc copy in=c1 out=new memtype=data;
select inv;
run;


/* sas programming to reconvert sas transport files back to sas data files */


libname new xport 'd:\ghreldata\transport\common.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select common;
run;

libname new xport 'd:\ghreldata\transport\genfirm.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select genfirm;
run;


libname new xport 'd:\ghreldata\transport\finance.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select finance;
run;


libname new xport 'd:\ghreldata\transport\invest.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select invest;
run;

libname new xport 'd:\ghreldata\transport\worker.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select worker;
run;

libname new xport 'd:\ghreldata\transport\appren.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select appren;
run;

libname new xport 'd:\ghreldata\transport\inv.dat';
libname temp 'd:\ghreldata';

proc copy in=new out=temp memtype=data;
select inv;
run;
