
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';


proc sort data=cd.common;by firm;
proc sort data=cd.all17c;by firm wave wid;
proc sort data=cd.labmar17;by firm wave;



data earn1;set cd.all17c;
options nolabel;
proc sort;by firm wave ;
proc means noprint; var male earnbt
age agesq pexp pexpsq tenure educ
univ seccom primcom none
yearsc hours
manyrs adminyrs salyrs supyrs techyrs prosyrs mastyrs appryrs
manedu adminedu saledu supedu techedu prosedu mastedu appredu
manpex adminpex salpex suppex techpex prospex mastpex apprpex
manage adminage salage supage techage prosage mastage apprage
manten adminten salten supten techten prosten mastten apprten
manern adminern salern supern techern prosern mastern apprern
manebt adminebt salebt supebt techebt prosebt mastebt apprebt;
by  firm wave ;
output out=mhumcap
mean = male earnbt
 age agesq  pexp pexpsq tenure educ
univ seccom primcom none
yearsc hours
manyrs adminyrs salyrs supyrs techyrs prosyrs mastyrs appryrs
manedu adminedu saledu supedu techedu prosedu mastedu appredu
manpex adminpex salpex suppex techpex prospex mastpex apprpex
manage adminage salage supage techage prosage mastage apprage
manten adminten salten supten techten prosten mastten apprten
manern adminern salern supern techern prosern mastern apprern
manebt adminebt salebt supebt techebt prosebt mastebt apprebt;
run;




data earn2;set cd.all17c;
proc sort;by wave;
proc means noprint; var
manyrs adminyrs salyrs supyrs techyrs prosyrs mastyrs appryrs
manedu adminedu saledu supedu techedu prosedu mastedu appredu
manpex adminpex salpex suppex techpex prospex mastpex apprpex
manage adminage salage supage techage prosage mastage apprage
manten adminten salten supten techten prosten mastten apprten
manern adminern salern supern techern prosern mastern apprern
manebt adminebt salebt supebt techebt prosebt mastebt apprebt;
by wave;
output out=mocc
mean=
mmanyr madminyr msalyr msupyr mtechyr mprosyr mmastyr mappryr
mmaned madmined msaled msuped mteched mprosed mmasted mappred
mmanpe madminpe msalpe msuppe mtechpe mprospe mmastpe mapprpe
mmanag madminag msalag msupag mtechag mprosag mmastag mapprag
mmante madminte msalte msupte mtechte mproste mmastte mapprte
mmaner madminer msaler msuper mtecher mproser mmaster mapprer
mmanbt madminbt msalbt msupbt mtechbt mprosbt mmastbt mapprbtr;
run;


data earn3;merge mhumcap cd.labmar17;by firm wave;
proc sort;by wave;


data earn4; merge earn3 mocc;by wave;

if manyrs=. then manyrs=mmanyr;
if adminyrs=. then adminyrs=madminyr;
if salyrs=. then salyrs=msalyr;
if supyrs=. then supyrs=msupyr;
if techyrs=. then techyrs=mtechyr;
if prosyrs=. then prosyrs=mprosyr;
if mastyrs=. then mastyrs=mmastyr;
if appryrs=. then appryrs=mappryr;

if appryrs=. then appryrs=prosyrs;
if mastyrs=. then mastyrs=prosyrs;
if adminyrs=. then adminyrs=manyrs;

if manedu=. then manedu=mmaned;
if adminedu=. then adminedu=madmined;
if saledu=. then saledu=msaled;
if supedu=. then supedu=msuped;
if techedu=. then techedu=mteched;
if prosedu=. then prosedu=mprosed;
if mastedu=. then mastedu=mmasted;
if appredu=. then appredu=mappred;

if appredu=. then appredu=prosedu;
if mastedu=. then mastedu=prosedu;
if adminedu=. then adminedu=manedu;

if supedu=. then supedu=prosedu;
if techedu=. then techedu=prosedu;

if manage=. then manage=mmanag;
if adminage=. then adminage=madminag;
if salage=. then salage=msalag;
if supage=. then supage=msupag;
if techage=. then techage=mtechag;
if prosage=. then prosage=mprosag;
if mastage=. then mastage=mmastag;
if apprage=. then apprage=mapprag;

if apprage=. then apprage=prosage;
if mastage=. then mastage=prosage;
if adminage=. then adminage=manage;

if supage=. then supage=prosage;
if techage=. then techage=prosage;

if manpex=. then manpex=mmanpe;
if adminpex=. then adminpex=madminpe;
if salpex=. then salpex=msalpe;
if suppex=. then suppex=msuppe;
if techpex=. then techpex=mtechpe;
if prospex=. then prospex=mprospe;
if mastpex=. then mastpex=mmastpe;
if apprpex=. then apprpex=mapprpe;

if apprpex=. then apprpex=prospex;
if mastpex=. then mastpex=prospex;
if adminpex=. then adminpex=manpex;

if suppex=. then suppex=prospex;
if techpex=. then techpex=prospex;

if manten=. then manten=mmante;
if adminten=. then adminten=madminte;
if salten=. then salten=msalte;
if supten=. then supten=msupte;
if techten=. then techten=mtechte;
if prosten=. then prosten=mproste;
if mastten=. then mastten=mmastte;
if apprten=. then apprten=mapprte;

if apprten=. then apprten=prosten;
if mastten=. then mastten=prosten;
if adminten=. then adminten=manten;

if supten=. then supten=prosten;
if techten=. then techten=prosten;

if manern=. then manern=mmaner;
if adminern=. then adminern=madminer;
if salern=. then salern=msaler;
if supern=. then supern=msuper;
if erchern=. then erchern=mercher;
if prosern=. then prosern=mproser;
if maserrn=. then maserrn=mmaster;
if apprern=. then apprern=mapprer;

if apprern=. then apprern=prosern;
if mastern=. then mastern=prosern;
if adminern=. then adminern=manern;

if supern=. then supern=prosern;
if techern=. then techern=prosern;

if manebt=. then manebt=mmanbt;
if adminebt=. then adminebt=madminbt;
if salebt=. then salebt=msalbt;
if supebt=. then supebt=msupbt;
if erchebt=. then erchebt=merchbt;
if prosebt=. then prosebt=mprosbt;
if maserbt=. then maserbt=mmastbt;
if apprebt=. then apprebt=mapprbt;

if apprebt=. then apprebt=prosebt;
if mastebt=. then mastebt=prosebt;
if adminebt=. then adminebt=manebt;

if supebt=. then supebt=prosebt;
if techebt=. then techebt=prosebt;

totw= man+admin+comm+superv+maint
+prodw+mast+appr;


eduwgt=(manedu*man+adminedu*admin+saledu*comm+supedu*superv+techedu*maint
+prosedu*prodw+mastedu*mast+appredu*appr)/totw;

pexwgt=(manpex*man+adminpex*admin+salpex*comm+suppex*superv+techpex*maint
+prospex*prodw+mastpex*mast+apprpex*appr)/totw;


yrswgt=(manyrs*man+adminyrs*admin+salyrs*comm+supyrs*superv+techyrs*maint
+prosyrs*prodw+mastyrs*mast+appryrs*appr)/totw;

agewgt=(manage*man+adminage*admin+salage*comm+supage*superv+techage*maint
+prosage*prodw+mastage*mast+apprage*appr)/totw;

tenwgt=(manten*man+adminten*admin+salten*comm+supten*superv+techten*maint
+prosten*prodw+mastten*mast+apprten*appr)/totw;

ernwgt=(manern*man+adminern*admin+salern*comm+supern*superv+techern*maint
+prosern*prodw+mastern*mast+apprern*appr)/totw;

ernbtwgt=(manebt*man+adminebt*admin+salebt*comm+supebt*superv+techebt*maint
+prosebt*prodw+mastebt*mast+apprebt*appr)/totw;

age2wgt=agewgt*agewgt;

proc means; var ernbtwgt manebt man adminebt admin salebt comm
supebt superv techebt maint prosebt prodw mastebt mast apprebt appr totw;
run;

proc means; var ernwgt ernbtwgt;
run;


data cd.humcap17;set earn4;
options label;
label male='Proportion of male workers';
label totw='Total number of workers';
label eduwgt='Weighted edcution';
label pexwgt='Weighted potential expeience';
label yrswgt='Weighted inputed years of education';
label agewgt='Weighted age of workers';
label tenwgt='Weighted tenure of workers';
label ernwgt='Wegithed real hourly eanrings';
label ernbtwgt='Weighted real monthly earnings before tax';


keep firm wave  eduwgt pexwgt yrswgt agewgt tenwgt ernwgt  ernbtwgt
male totw man admin comm superv maint prodw mast appr hours;
proc means mean n; run;
