
libname cd 'd:\sasprogs\rped5may99public\createdata';

libname j1 'd:\sasprogs\rped5may99public\wave1';
libname j2 'd:\sasprogs\rped5may99public\wave2';
libname j3 'd:\sasprogs\rped5may99public\wave3';
libname j4 'd:\sasprogs\rped5may99public\wave4';
libname j5 'd:\sasprogs\rped5may99public\wave5';



proc sort data=cd.common;by firm;

data finance1; merge j1.rec01adj(in=a)   j1.rec25 j1.rec24
 j1.rec26 j1.rec27 j1.rec28 j1.rec29   j1.rec30 j1.rec31 j1.rec32 j1.rec33 j1.rec34c j1.rec36
 j1.rec37 j1.rec38 j1.rec39c j1.rec40  j1.rec41   j1.rec42  j1.rec43 j1.rec44 j1.rec45
 j1.rec46  cd.common;
by firm;if a;


options linesize=80;


if r36q01=1 then over1=1;
if r36q01=2 then over1=0;

if r37q02ua=. then odrafta=0;
if r37q02ua=1 then odrafta=r37q02aa;
if r37q02ua=2 then odrafta=r37q02aa*400;
if r37q02ub=. then odraftb=0;
if r37q02ub=1 then odraftb=r37q02ab;
if r37q02ub=2 then odraftb=r37q02ab*400;
if r37q02uc=. then odraftc=0;
if r37q02uc=1 then odraftc=r37q02ac;
if r37q02uc=2 then odraftc=r37q02ac*400;

odraft1=odrafta+odraftb+odraftc;
odraft91=odraft1;

if r37q03a=. then r37q03a=0;
if r37q03b=. then r37q03b=0;
if r37q03c=. then r37q03c=0;
if r37q03d=. then r37q03d=0;
if r37q03e=. then r37q03e=0;

overusa=r37q03a*odrafta;
overusb=r37q03b*odraftb;
overusc=r37q03c*odraftc;

overus=(overusa+overusb+overusc)/odraft91;

overia=r37q04a;
overib=r37q04b;
overic=r37q04c;

if overib=. and overic=. then overi=overia;
if overic=. and overib ne . then overi=(overia+overib)/2;
if overib ne . and overic ne . then overi=(overia+overib+overic)/3;

if overi= 0 then overi=.;

if r39q06ua=. then borrfora=0;
if r39q06ua=1 then borrfora=r39q06aa;
if r39q06ua=2 then borrfora=r39q06aa*400;
if r39q06ua=3 then borrfora=r39q06aa*800;
if r39q06ua=4 then borrfora=r39q06aa*266.7;


if r39q06ub=. then borrforb=0;
if r39q06ub=1 then borrforb=r39q06ab;
if r39q06ub=2 then borrforb=r39q06ab*400;
if r39q06ub=3 then borrforb=r39q06ab*800;
if r39q06ub=4 then borrforb=r39q06ab*266.7;

if r39q06uc=. then borrforc=0;
if r39q06uc=1 then borrforc=r39q06ac;
if r39q06uc=2 then borrforc=r39q06ac*400;
if r39q06uc=3 then borrforc=r39q06ac*800;
if r39q06uc=4 then borrforc=r39q06ac*266.7;

if r39q06ud=. then borrford=0;
if r39q06ud=1 then borrford=r39q06ad;
if r39q06ud=2 then borrford=r39q06ad*400;
if r39q06ud=3 then borrford=r39q06ad*800;
if r39q06ud=4 then borrford=r39q06ad*266.7;

borrfor1=borrfora+borrforb+borrforc+borrford;
frmb91=borrfor1;

if r38q05=1 then recloan=1;
if r38q05=2 then recloan=0;
if r38q05=. then recloan=0;
loan=recloan;

if r39q07b=. and r39q07c=. then loani=r39q07a;
if r39q07b=. and r39q07c ne . then loani=(r39q07a+r39q07b)/2;
if r39q07b ne . and r39q07c ne . then loani=(r39q07a+r39q07b+r39q07c)/3;


if r41q24=1 then loana=1;
if r41q24=2 then loana=0;

loanno=r41q26;
if r41q27=1 then loanev=1;
if r41q27=2 then loanev=0;
loanne=r41q28;

if r40q13=. then r40q13=0;
lolava=r40q12+r40q13;
lolai=r40q15;
/*lolai is the interest rate on the most recent loan*/
if r40q16=1 then locol=1;
if r40q16=2 then locol=0;
locotype=r40q17;
locova=r40q18;


lorel=r40q22;
lome=r40q21;
locon=r40q23;

if r42q01=1 then iloan=1;
if r42q01=2 then iloan=0;

if r43q03a=. then borrinfa=0;
if r43q03a ne . then borrinfa=r43q03a;
if r43q03b=. then borrinfb=0;
if r43q03b ne . then borrinfb=r43q03b;
if r43q03c=. then borrinfc=0;
if r43q03c ne . then borrinfc=r43q03c;

borrinf1=borrinfa+borrinfb+borrinfc;
infb91=borrinf1;



/* Forms of purchase for suppliers and clients*/
if r24q05a=1 or r24q05b=1 or r24q05c=1 then cashp=1; else cashp=0;
if r29q05a=1 or r29q05b=1 or r29q05c=1 then cashs=1; else cashs=0;
if r24q05a=2 or r24q05b=2 or r24q05c=2 then consp=1; else consp=0;
if r29q05a=2 or r29q05b=2 or r29q05c=2 then conss=1; else conss=0;
if r24q05a=3 or r24q05b=3 or r24q05c=3 then creditp=1; else creditp=0;
if r29q05a=3 or r29q05b=3 or r29q05c=3 then credits=1; else credits=0;
if r24q05a=4 or r24q05b=4 or r24q05c=4 then advpayp=1; else advpayp=0;
if r29q05a=4 or r29q05b=4 or r29q05c=4 then advpays=1; else advpays=0;

/*Amounts of credit, consignment, cash and advance payments */
creditpv=r25q12;
if r25q12=. then creditpv=0;
conspv=r26q22;
if r26q22=. then conspv=0;
cashpv=r27q32;
if r27q32=. then cashpv=0;
advpaypv=r28q37;
if r28q37=. then advpaypv=0;
creditsv=r30q11;
if r30q11=. then creditsv=0;
conssv=r31q18;
if r31q18=. then conssv=0;
cashsv=r32q25;
if r32q25=. then cashsv=0;
advpaysv=r33q30;
if r33q30=. then advpaysv=0;

/* Other loans*/
if r34q01a=1 or r34q01b=1 or r34q01c=1 or r34q01d=1 or r34q01e=1
             or r34q01f=1 then oloan=1; else oloan=0;
oloansup=r34q03a;
if r34q03a=. then oloansup=0;
if r34q01a=1 and r34q03a=. then oloansup=.;
if oloansup gt 0 then supplier=1; else supplier=0;
oloancli=r34q03b;
if r34q03b=. then oloancli=0;
if r34q01b=1 and r34q03b=. then oloancli=.;
if oloancli gt 0 then client=1; else client=0;
oloanemp=r34q03c;
if r34q03c=. then oloanemp=0;
if r34q01c=1 and r34q03c=. then oloanemp=.;
if oloanemp gt 0 then employee=1; else employee=0;
oloanent=r34q03d;
if r34q03d=. then oloanent=0;
if r34q01d=1 and r34q03d=. then oloanent=.;
if oloanent gt 0 then entprise=1; else entprise=0;
oloanrel=r34q03e;
if r34q03e=. then oloanrel=0;
if r34q01e=1 and r34q03e=. then oloanrel=.;
if oloanrel gt 0 then relative=1; else relative=0;
oloanoth=r34q03f;
if r34q03f=. then oloanoth=0;
if r34q01f=1 and r34q03f=. then oloanoth=.;
if oloanoth gt 0 then other=1; else other=0;
oloantot=oloansup+oloancli+oloanemp+oloanent+oloanrel+oloanoth;


/*Informal lending*/
inflrf91=oloanrel;
infls91=oloansup;
inflc91=oloancli;
inflem91=oloanemp;
infloe91=oloanent;
inflos91=oloanoth;

infl91=inflrf91+infls91+inflc91+inflem91+infloe91+inflos91;



if r40q16=1 then collat=1; if r40q16=2 then collat=0;

if r43q03a ge 0 then infa=r43q03a; else infa=0;
if r43q03b ge 0 then infb=r43q03b; else infb=0;
if r43q03c ge 0 then infc=r43q03c; else infc=0;

totinf=infa+infb+infc;
cash1=r44q06; if r44q06=. then cash1=0;
kind1=r44q07; if r44q07=. then kind1=0;
cash2=r44q09; if r44q09=. then cash2=0;
kind2=r44q10; if r44q10=. then kind2=0;

iloanrec=cash1+kind1;
ipayrec=cash2+kind2;
mat=r44q08;
if r44q11=1 then collat=1; if r44q11=2 then collat=0;
if r44q05=1 then friend=1; else friend=0;
if r44q05=2 then mlender=1; else mlender=0;
if r44q05=3 then group=1; else group=0;
if r44q05=5 then other=1; else other=0;


/*Deposits in financial institutions*/

if r45q01=1 then depf=1; else depf=0;
if r46q01=1 then depi=1; else depi=0;

wave=1;
wave1=1;wave2=0;wave3=0;
odraft=odraft1;
borrfor=borrfor1;
borrinf=borrinf1;
frmb=frmb91;
infb=infb91;
infl=infl91;
debt=frmb+infb-infl;
debt91=debt;
over=over1;
overva=odraft91;


keep firm wave wave1 wave2 wave3 odraft1 borrfor1 borrinf1
odraft borrfor borrinf oloantot
sized91 advpayp advpays advpaypv advpaysv
odraft91 frmb91 infb91 infl91 frmb infb infl debt debt91
over overva overus overi  loan loani loana
 loanno loanev loanne lolava lolai locol locotype locova lorel
lome locon iloan ;


proc means;
run;


data finance2; merge j2.rec201ad(in=a) j2.rec228  j2.rec229
  j2.rec232 j2.rec233c j2.rec234 j2.rec235 j2.rec236 j2.rec237c cd.common;
by firm;if a;

/*Interest rate charged on loans*/
if z34q11a gt 0 then loani=z34q11a;


/*overdraft*/
if z32q03=. or z32q03=0 then over=0;else over=1;
odraft2=z32q03;
if z32q03=. then odraft2=0;
odraft92=odraft2;
overva1=z32q03;
overva2=z32q05;
if z32q04 gt 0 then overi=z32q04;


/*Whether loan recieved*/
if z33q06a=. then z33q06a=0;
if z33q06b=. then z33q06b=0;
if z33q06c=. then z33q06c=0;
if z33q06d=. then z33q06d=0;

z33tot=z33q06a+z33q06b+z33q06c+z33q06d;
if z33tot gt 0 then loan=1;else loan=0;

/*formal borrowings*/
borra=z33q07a;
if z33q07a=. then borra=0;
borrb=z33q07b;
if z33q07b=. then borrb=0;
borrc=z33q07c;
if z33q07c=. then borrc=0;
borrd=z33q07d;
if z33q07d=. then borrd=0;
borrfor2=borra+borrb+borrc+borrd;
frmb92=borrfor2;

if z35q19=1 then loana=1;
if z35q19=2 then loana=0;
loanno=z35q22;

/*informal borrowings*/

borria=z37q04a;
if z37q04a=. then borria=0;
borrib=z37q04b;
if z37q04b=. then borrib=0;
borric=z37q04c;
if z37q04c=. then borric=0;
borrid=z37q04d;
if z37q04d=. then borrid=0;
borrie=z37q04e;
if z37q04e=. then borrie=0;
borrif=z37q04f;
if z37q04f=. then borrif=0;
borrinf2=borria+borrib+borric+borrid+borrie+borrif;
infb92=borrinf2;

if z36q01=1 then iloan=1;
if z36q01=2 then iloan=0;


/*Informal lending*/

inflrf92=z29q02a;
if inflrf92=. then inflrf92=0;
infls92=z29q02b;
if infls92=. then infls92=0;
inflc92=z29q02c;
if inflc92=. then inflc92=0;
inflem92=z29q02d;
if inflem92=. then inflem92=0;
infloe92=z29q02e;
if infloe92=. then infloe92=0;
inflos92=z29q02f;
if inflos92=. then inflos92=0;

infl92=inflrf92+infls92+inflc92+inflem92+infloe92+inflos92;


/*suppliers credit*/
tradb92=z28q01;
tradl92=z28q02;
tradb=tradb92;
tradl=tradl92;


wave=2;
wave1=0;wave2=1;wave3=0;
odraft=odraft2;
borrfor=borrfor2;
borrinf=borrinf2;
frmb=frmb92;
infb=infb92;
infl=infl92;
debt=frmb+infb-infl;
debt92=debt;


keep firm wave wave1 wave2 wave3 odraft2 borrfor2 borrinf2
odraft borrfor borrinf
frmb frmb92 infb92 infb infl tradb tradl infl92 debt debt92
overva1 overva2 over  overi loana loanno  iloan loani;

proc means; run;


data finance3; merge j3.rec301ad(in=a) j3.rec337 j3.rec339 j3.rec340
j3.rec341 j3.rec343 j3.rec345 cd.common;
by firm;if a;

if l39q01=1 then over=1;
if l39q01=2 then over=0;

/*overdraft*/
odraft3=l39q03;
if odraft3=. then odraft3=0;
odraft93=odraft3;
overva1=l39q03;
overva2=l39q05;
if l39q04 gt 0 then overi=l39q04;

/*Formal borrowings*/
borrf3a=l40q08a;
if borrf3a=. then borrf3a=0;
frmbb93=borrf3a;
borrf3b=l40q08b;
if borrf3b=. then borrf3b=0;
frmbfi93=borrf3b;
borrf3c=l40q08c;
if borrf3c=. then borrf3c=0;
frmbg93=borrf3c;
borrf3d=l40q08d;
if borrf3d=. then borrf3d=0;
frmbfb93=borrf3d;
borrf3e=l40q08e;
if borrf3e=. then borrf3e=0;
frmbo93=borrf3e;
frmb93=frmbb93+frmbfi93+frmbg93+frmbfb93+frmbo93;
borrfor3=borrf3a+borrf3b+borrf3c+borrf3d+borrf3e;

if l41q12=1 then loana=1;
if l41q12=2 then loana=0;
loanno=l41q15;


/*Informal borrowings*/
borri3a=l43q03a;
if borri3a=. then borri3a=0;
infbrf93=borri3a;
inbkrf93=l43q04a;
if inbkrf93=. then inbkrf93=0;

borri3b=l43q03b;
if borri3b=. then borri3b=0;
infbml93=borri3b;
inbkml93=l43q04b;
if inbkml93=. then inbkml93=0;

borri3c=l43q03c;
if borri3c=. then borri3c=0;
infbig93=borri3c;
inbkig93=l43q04c;
if inbkig93=. then inbkig93=0;

borri3d=l43q03d;
if borri3d=. then borri3d=0;
infbs93=borri3d;
inbks93=l43q04d;
if inbks93=. then inbks93=0;

borri3e=l43q03e;
if borri3e=. then borri3e=0;
infbc93=borri3e;
inbkc93=l43q04e;
if inbkc93=. then inbkc93=0;

borri3f=l43q03f;
if borri3f=. then borri3f=0;
infboe93=borri3f;
inbkoe93=l43q04f;
if inbkoe93=. then inbkoe93=0;

borri3g=l43q03g;
if borri3g=. then borri3g=0;
infbos93=borri3g;
inbkos93=l43q04g;
if inbkos93=. then inbkos93=0;

infb93=infbrf93+infbml93+infbig93+infbs93+infbc93+infboe93+infbos93;
inbk93=inbkrf93+inbkml93+inbkig93+inbks93+inbkc93+inbkoe93+inbkos93;

borrinf3=borri3a+borri3b+borri3c+borri3d+borri3e
+borri3f+borri3g;

/*Informal lending*/
inflrf93=l45q01a;
if inflrf93=. then inflrf93=0;
inlkrf93=l45q02a;
if inlkrf93=. then inlkrf93=0;
infls93=l45q01b;
if infls93=. then infls93=0;
inlks93=l45q02b;
if inlks93=. then inlks93=0;
inflc93=l45q01c;
if inflc93=. then inflc93=0;
inlkc93=l45q02c;
if inlkc93=. then inlkc93=0;
inflem93=l45q01d;
if inflem93=. then inflem93=0;
inklem93=l45q02d;
if inklem93=. then inklem93=0;
infloe93=l45q01e;
if infloe93=. then infloe93=0;
inkloe93=l45q02e;
if inkloe93=. then inkloe93=0;
inflos93=l45q01f;
if inflos93=. then inflos93=0;
inklos93=l45q02f;
if inklos93=. then inklos93=0;

infl93=inflrf93+infls93+inflc93+inflem93+infloe93+inflos93;
inlk93=inlkrf93+inlks93+inlkc93+inklem93+inkloe93+inklos93;

/*suppliers credit*/
tradb93=l37q01;
tradl93=l37q02;
tradb=tradb93;
tradl=tradl93;


wave=3;
wave1=0;wave2=0;wave3=1;
odraft=odraft3;
borrfor=borrfor3;
borrinf=borrinf3;
frmb=frmb93;
infb=infb93;
infl=infl93;
debt=frmb+infb-infl;
debt93=debt;

inbk=inbk93;
inlk=inlk93;




keep firm wave wave1 wave2 wave3
borrfor3 borrinf3 odraft3
borrfor borrinf odraft 
frmb93 frmbb93 frmbfi93 frmbg93 frmbfb93 frmbo93
frmb infb infl debt tradb tradl inbk inlk debt93
over overva1 overva2 overi loana loanno;

proc sort;by firm;



data finance;set finance1 finance2 finance3;
proc sort; by firm wave;
proc means; run;

data finance5;set j4.gmes9;
firm=s9eno;

if s9cq1=1 then over=1;
if s9cq1=2 then over=0;

/*overdraft*/
odraft5=s9cq3;
if odraft5=. then odraft5=0;
odraft95=odraft5;
overva1=s9cq3;
overva2=s9cq5;
if s9cq4 gt 0 then overi=s9cq4;

/*Formal borrowings*/
borrf5a=s9cq8a;
if borrf5a=. then borrf5a=0;
frmbb95=borrf5a;
borrf5b=s9cq8b;
if borrf5b=. then borrf5b=0;
frmbfi95=borrf5b;
borrf5c=s9cq8c;
if borrf5c=. then borrf5c=0;
frmbg95=borrf5c;
borrf5d=s9cq8d;
if borrf5d=. then borrf5d=0;
frmbfb95=borrf5d;
borrf5e=s9cq8e;
if borrf5e=. then borrf5e=0;
frmbo95=borrf5e;
frmb95=frmbb95+frmbfi95+frmbg95+frmbfb95+frmbo95;
borrfor5=borrf5a+borrf5b+borrf5c+borrf5d+borrf5e;



if S9CQ12=1 then loana=1;
if S9CQ12=2 then loana=0;
loanno=s9cq15;


/*Informal borrowings*/
borri5a=s9dq3a;
if borri5a=. then borri5a=0;
infbrf95=borri5a;
inbkrf95=s9dq4a;
if inbkrf95=. then inbkrf95=0;

borri5b=s9dq3b;
if borri5b=. then borri5b=0;
infbml95=borri5b;
inbkml95=s9dq4b;
if inbkml95=. then inbkml95=0;

borri5c=s9dq3c;
if borri5c=. then borri5c=0;
infbig95=borri5c;
inbkig95=s9dq4c;
if inbkig95=. then inbkig95=0;

borri5d=s9dq3d;
if borri5d=. then borri5d=0;
infbs95=borri5d;
inbks95=s9dq4d;
if inbks95=. then inbks95=0;

borri5e=s9dq3e;
if borri5e=. then borri5e=0;
infbc95=borri5e;
inbkc95=s9dq4e;
if inbkc95=. then inbkc95=0;

borri5f=s9dq3f;
if borri5f=. then borri5f=0;
infboe95=borri5f;
inbkoe95=s9dq4f;
if inbkoe95=. then inbkoe95=0;

borri5g=s9dq3g;
if borri5g=. then borri5g=0;
infbos95=borri5g;
inbkos95=s9dq4g;
if inbkos95=. then inbkos95=0;

infb95=infbrf95+infbml95+infbig95+infbs95+infbc95+infboe95+infbos95;
inbk95=inbkrf95+inbkml95+inbkig95+inbks95+inbkc95+inbkoe95+inbkos95;

borrinf5=borri5a+borri5b+borri5c+borri5d+borri5e
+borri5f+borri5g;

/*Informal lending*/
inflrf95=s9eq3a;
if inflrf95=. then inflrf95=0;
inlkrf95=s9eq4a;
if inlkrf95=. then inlkrf95=0;

inflml95=s9eq3b;
if inflml95=. then inflml95=0;
inlkml95=s9eq4b;
if inlkml95=. then inlkml95=0;

inflig95=s9eq3c;
if inflig95=. then inflig95=0;
inlkig95=s9eq4c;
if inlkig95=. then inlkig95=0;

infls95=s9eq3d;
if infls95=. then infls95=0;
inlks95=s9eq4d;
if inlks95=. then inlks95=0;

inflc95=s9eq3e;
if inflc95=. then inflc95=0;
inlkc95=s9eq4e;
if inlkc95=. then inlkc95=0;

infloe95=s9eq3f;
if infloe95=. then infloe95=0;
inkloe95=s9eq4f;
if inkloe95=. then inkloe95=0;

inflcg95=s9eq3g;
if inflcg95=. then inflcg95=0;
inklcg95=s9eq4g;
if inklcg95=. then inklcg95=0;

inflos95=s9eq3h;
if inflos95=. then inflos95=0;
inklos95=s9eq4h;
if inklos95=. then inklos95=0;

infl95=inflrf95+inflml95+inflig95+infls95+inflc95+infloe95+inflcg95+inflos95;
inlk95=inlkrf95+inlkml95+inlkml95+inlks95+inlkc95+inkloe95+inklcg95+inklos95;

/*suppliers credit*/
tradb95=s9bq1;
tradl95=s9bq2;
tradb=tradb95;
tradl=tradl95;

wave=5;
wave1=0;wave2=0;wave3=0;wave5=1;
odraft=odraft5;
borrfor=borrfor5;
borrinf=borrinf5;
frmb=frmb95;
infb=infb95;
infl=infl95;
debt=frmb+infb-infl;
debt95=debt;

inbk=inbk95;
inlk=inlk95;

keep firm wave wave1 wave2 wave3 wave5
borrfor5 borrinf5 odraft5
borrfor borrinf odraft 
frmb95 frmbb95 frmbfi95 frmbg95 frmbfb95 frmbo95
frmb infb infl debt tradb tradl inbk inlk debt95
over overva1 overva2 overi loana loanno;

proc sort;by firm;
proc means; run;


data finance4;merge finance3  finance5 ;by firm;

borrfor=(borrfor3+borrfor5)/2;
borrinf=(borrinf3+borrinf5)/2;
odraft=(odraft3+odraft5)/2;
frmb=(frmb93+frmb95)/2;
frmbb=(frmbb93+frmbb95)/2;
frmbfi=(frmbfi93+frmbfi95)/2;
frmbg=(frmbg93+frmbg95)/2;
frmbfb=(frmbfb93+frmbfb95)/2;
frmbo=(frmbo93+frmbo95)/2;
debt=(debt93+debt95)/2;
wave=4;


keep wave firm borrfor borrinf odraft frmb frmbb frmbfi frmbg frmbfb frmbo overi debt;
proc means; run;


data finance6;set j5.gm5f7;
firm=f7eno;

if   f7dq1=1 then over=1;
if   f7dq1=2 then over=0;

/*overdraft*/
odraft6=f7dq5a;
if odraft6=. then odraft6=0;
odraft96=odraft6;
overi=f7dq6;


/*Formal borrowings*/
borrf6a=f7dq9aa;
if borrf6a=. then borrf6a=0;
frmbb96=borrf6a;
borrf6b=f7dq9ab;
if borrf6b=. then borrf6b=0;
frmbfi96=borrf6b;
borrf6c=f7dq9ac;
if borrf6c=. then borrf6c=0;
frmbg96=borrf6c;
borrf6d=f7dq9ad;
if borrf6d=. then borrf6d=0;
frmbfb96=borrf6d;
borrf6e=f7dq9ae;
if borrf6e=. then borrf6e=0;
frmbo96=borrf6e;
frmb96=frmbb96+frmbfi96+frmbg96+frmbfb96+frmbo96;
borrfor6=borrf6a+borrf6b+borrf6c+borrf6d+borrf6e;


if   f7eq1a=1 then loana=1;
if   f7eq1a=2 then loana=0;


/*Informal borrowings*/
borri6a=f7fq3a;
if borri6a=. then borri6a=0;
infbrf96=borri6a;

borri6b=f7fq3b;
if borri6b=. then borri6b=0;
infbml96=borri6b;

borri6c=f7fq3c;
if borri6c=. then borri6c=0;
infbig96=borri6c;

borri6d=f7fq3d;
if borri6d=. then borri6d=0;
infbs96=borri6d;

borri6e=f7fq3e;
if borri6e=. then borri6e=0;
infbc96=borri6e;

borri6f=f7fq3f;
if borri6f=. then borri6f=0;
infboe96=borri6f;

borri6g=f7fq3g;
if borri6g=. then borri6g=0;
infbos96=borri6g;

borri6h=f7fq3h;
if borri6h=. then borri6h=0;
infbos96=borri6h;

infb96=infbrf96+infbml96+infbig96+infbs96+infbc96+infboe96+infbos96;

borrinf6=borri6a+borri6b+borri6c+borri6d+borri6e
+borri6f+borri6g;

/*Informal lending*/
inflrf96=f7fq11a;
if inflrf96=. then inflrf96=0;

inflml96=f7fq11b;
if inflml96=. then inflml96=0;

inflig96=f7fq11c;
if inflig96=. then inflig96=0;

infls96=f7fq11d;
if infls96=. then infls96=0;

inflc96=f7fq11e;
if inflc96=. then inflc96=0;

infloe96=f7fq11f;
if infloe96=. then infloe96=0;

inflcg96=f7fq11g;
if inflcg96=. then inflcg96=0;

inflos96=f7fq11h;
if inflos96=. then inflos96=0;


infl96=inflrf96+inflml96+inflig96+infls96+inflc96+infloe96+inflcg96+inflos96;

/*suppliers credit*/
tradb97=f7bq1;
tradl97=f7bq2;
tradb=tradb97;
tradl=tradl97;


wave=6;

odraft=odraft6;
borrfor=borrfor6;
borrinf=borrinf6;
frmb=frmb96;
infb=infb96;
infl=infl96;
debt=frmb+infb-infl;
debt96=debt;

inbk=inbk96;
inlk=inlk96;


keep firm wave
borrfor6 borrinf6 odraft6
borrfor borrinf odraft borrfe6 borrie6 odrafte6
borrfe borrie odrafte
frmb96 frmbb96 frmbfi96 frmbg96 frmbfb96 frmbo96
frmb infb infl debt tradb tradl inbk inlk debt96
over overva1 overva2 overi loana loanno;

proc sort;by firm;

proc means; run;



data finance7;set j5.gm5f7;
firm=f7eno;

if   f7dq1=1 then over=1;
if   f7dq1=2 then over=0;

/*overdraft*/
odraft7=f7dq5b;
if odraft7=. then odraft7=0;
odraft97=odraft7;
overi=f7dq6;

/*Formal borrowings*/
borrf7a=f7dq9ba;
if borrf7a=. then borrf7a=0;
frmbb97=borrf7a;
borrf7b=f7dq9bb;
if borrf7b=. then borrf7b=0;
frmbfi97=borrf7b;
borrf7c=f7dq9bc;
if borrf7c=. then borrf7c=0;
frmbg97=borrf7c;
borrf7d=f7dq9bd;
if borrf7d=. then borrf7d=0;
frmbfb97=borrf7d;
borrf7e=f7dq9be;
if borrf7e=. then borrf7e=0;
frmbo97=borrf7e;
frmb97=frmbb97+frmbfi97+frmbg97+frmbfb97+frmbo97;
borrfor7=borrf7a+borrf7b+borrf7c+borrf7d+borrf7e;

if   f7eq1a=1 then loana=1;
if   f7eq1a=2 then loana=0;


/*Informal borrowings*/
borri7a=f7fq4a;
if borri7a=. then borri7a=0;
infbrf97=borri7a;

borri7b=f7fq4b;
if borri7b=. then borri7b=0;
infbml97=borri7b;

borri7c=f7fq4c;
if borri7c=. then borri7c=0;
infbig97=borri7c;

borri7d=f7fq4d;
if borri7d=. then borri7d=0;
infbs97=borri7d;

borri7e=f7fq4e;
if borri7e=. then borri7e=0;
infbc97=borri7e;

borri7f=f7fq4f;
if borri7f=. then borri7f=0;
infboe97=borri7f;

borri7g=f7fq4g;
if borri7g=. then borri7g=0;
infbos97=borri7g;

borri7h=f7fq4h;
if borri7h=. then borri7h=0;
infbos97=borri7h;

infb97=infbrf97+infbml97+infbig97+infbs97+infbc97+infboe97+infbos97;

borrinf7=borri7a+borri7b+borri7c+borri7d+borri7e
+borri7f+borri7g;

/*Informal lending*/
inflrf97=f7fq11a;
if inflrf97=. then inflrf97=0;

inflml97=f7fq11b;
if inflml97=. then inflml97=0;

inflig97=f7fq11c;
if inflig97=. then inflig97=0;

infls97=f7fq11d;
if infls97=. then infls97=0;

inflc97=f7fq11e;
if inflc97=. then inflc97=0;

infloe97=f7fq11f;
if infloe97=. then infloe97=0;

inflcg97=f7fq11g;
if inflcg97=. then inflcg97=0;

inflos97=f7fq11h;
if inflos97=. then inflos97=0;


infl97=inflrf97+inflml97+inflig97+infls97+inflc97+infloe97+inflcg97+inflos97;

/*suppliers credit*/
tradb97=f7bq1;
tradl97=f7bq2;
tradb=tradb97;
tradl=tradl97;

wave=7;

odraft=odraft7;
borrfor=borrfor7;
borrinf=borrinf7;
frmb=frmb97;
infb=infb97;
infl=infl97;
debt=frmb+infb-infl;
debt97=debt;

inbk=inbk97;
inlk=inlk97;

keep firm wave
borrfor7 borrinf7 odraft7
borrfor borrinf odraft 
frmb97 frmbb97 frmbfi97 frmbg97 frmbfb97 frmbo97
frmb infb infl debt tradb tradl inbk inlk debt97
over overva1 overva2 overi loana loanno;

proc sort;by firm;

proc means; run;


data fin1;set finance1;
proc sort;by firm wave;

data fin2;set finance2;
proc sort;by firm wave;

data fin3;set finance3;
proc sort;by firm wave;

data fin4; set finance4;
proc sort;by firm wave;
proc means; run;

data fin5; set finance5;
proc sort;by firm wave;

data fin6; set finance6;
proc sort;by firm wave;


data fin7; set finance7;
proc sort;by firm wave;



data cd.finance;set fin1 fin2 fin3 fin4 fin5 fin6 fin7;
keep wave firm borrfor borrinf odraft 
frmb overi overus loani debt
infl tradb tradl inbk inlk loana loanno locol loctype locova;

proc sort;by wave;
proc means; by wave;
run;
